%global glib2_version 2.73.0

Name:           sysprof
Version:        3.46.0
Release:        1
Summary:        A system-wide Linux profiler
License:        GPLv3+
URL:            http://www.sysprof.com
Source0:        https://download.gnome.org/sources/sysprof/3.46/sysprof-%{version}.tar.xz

BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  gettext
BuildRequires:  itstool
BuildRequires:  meson
BuildRequires:  pkgconfig(gio-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gio-unix-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(glib-2.0) >= %{glib2_version}
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:  pkgconfig(json-glib-1.0)
BuildRequires:  pkgconfig(libadwaita-1)
BuildRequires:  pkgconfig(libdazzle-1.0)
BuildRequires:  pkgconfig(libsystemd)
BuildRequires:  pkgconfig(libunwind-generic)
BuildRequires:  pkgconfig(polkit-gobject-1)
BuildRequires:  pkgconfig(systemd)
BuildRequires:  libappstream-glib desktop-file-utils

Requires:       glib2%{?_isa} >= %{glib2_version}
Requires:       hicolor-icon-theme
Requires:       %{name}-cli%{?_isa} = %{version}-%{release}
Requires:       libsysprof-ui%{?_isa} = %{version}-%{release}

Provides:       %{name}-agent%{?_isa} = %{version}-%{release}

%description
Sysprof is a sampling CPU profiler for Linux that collects accurate.

%package        cli
Summary:        Sysprof command line utility
Requires:       kernel-tools

%description    cli
The %{name}-cli package contains the sysprof-cli command line utility.

%package     -n libsysprof-ui
Summary:        Sysprof UI library

%description -n libsysprof-ui
The libsysprof-ui package contains the Sysprof UI library.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
Provides:       sysprof-capture-static = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -p1


%build
%meson
%meson_build

%install
%meson_install
%find_lang %{name} --with-gnome

%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop

%files
%license COPYING
%doc NEWS AUTHORS
%{_bindir}/sysprof
%{_bindir}/sysprof-agent
%{_datadir}/applications/org.gnome.Sysprof.desktop
#%%{_datadir}/glib-2.0/schemas/org.gnome.sysprof3.gschema.xml
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/metainfo/org.gnome.Sysprof.appdata.xml
%{_datadir}/mime/packages/sysprof-mime.xml

%files cli -f %{name}.lang
%license COPYING
%{_bindir}/sysprof-cli
%{_libdir}/libsysprof-4.so
%{_libdir}/libsysprof-memory-4.so
%{_libdir}/libsysprof-speedtrack-4.so
%{_libexecdir}/sysprofd
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof.Agent.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof2.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Service.xml
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof2.conf
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof3.conf
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof2.service
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof3.service
%{_datadir}/polkit-1/actions/org.gnome.sysprof3.policy
%{_unitdir}/sysprof2.service
%{_unitdir}/sysprof3.service

%files -n libsysprof-ui
%license COPYING
%{_libdir}/libsysprof-ui-5.so

%files devel
%license src/libsysprof-capture/COPYING
%{_includedir}/sysprof-4/
%{_includedir}/sysprof-ui-5/
%{_libdir}/pkgconfig/sysprof-4.pc
%{_libdir}/pkgconfig/sysprof-capture-4.pc
#%%{_libdir}/pkgconfig/sysprof-ui-4.pc
%{_libdir}/pkgconfig/sysprof-ui-5.pc
%{_libdir}/libsysprof-capture-4.a

%files help
%doc README.md

%changelog
* Mon Jan 02 2023 lin zhang <lin.zhang@turbolinux.com.cn> - 3.46.0-1
- Update to 3.46.0

* Wed Apr 20 2022 dillon chen <dillon.chen@gmail.com> - 3.44.0-1
- Update to 3.44.0

* Tue Jul 20 2021 hanhui<hanhui15@huawei.com> - 3.38.1-2
- delete rely on low version of the file

* Mon Nov 09 2020 chengguipeng<chengguipeng1@huawei.com> - 3.38.1-1
- upgrade to 3.38.1

* Sat Sep 19 2020 chengguipeng<chengguipeng1@huawei.com> - 3.36.0-1
- Package init
